/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.ProdPrecioDAO;
import com.rjconsultores.ventaboletos.entidad.AlertaCtrl;
import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Corrida;
import com.rjconsultores.ventaboletos.entidad.Marca;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.ProdPrecio;
import com.rjconsultores.ventaboletos.entidad.ProductoServicio;
import com.rjconsultores.ventaboletos.entidad.Ruta;
import java.math.BigDecimal;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Administrador
 */
@Repository("prodPrecioDAO")
public class ProdPrecioHibernateDAO extends GenericHibernateDAO<ProdPrecio, Integer>
        implements ProdPrecioDAO {

    @Autowired
    public ProdPrecioHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<ProdPrecio> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }

    public List<ProdPrecio> buscar(Marca marca, ProductoServicio productoservicio) {
        Criteria c = this.makeCriteria();
        c.add(Restrictions.eq("marca", marca));
        c.add(Restrictions.eq("productoservicio", productoservicio));
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));


        return c.list();
    }

    public List<ProdPrecio> buscar(Marca marca) {
        Criteria c = this.makeCriteria();
        c.add(Restrictions.eq("marca", marca));
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));


        return c.list();
    }
}
